package org.wcs.constant.enums.serve;

import lombok.Getter;

/**
 * 服务的响应码枚举
 */
@Getter
public enum AppServeResponseCodeEnum {

    SUCCESS(200, "成功"),
    DATA_REPEAT(201, "数据重复"),
    FAIL(400, "失败"),
    UNAUTHORIZED(401, "未授权"),
    FORBIDDEN(403, "禁止访问"),
    NOT_FOUND(404, "未找到"),
    INTERNAL_SERVER_ERROR(500, "服务器内部错误"),
    SERVICE_UNAVAILABLE(503, "服务不可用");

    private final int code;
    private final String msg;

    AppServeResponseCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
